%define upstream_name    Text-Pipe
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Common text filter API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Complex)
BuildRequires: perl(Class::Accessor::Constructor)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.780.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(UNIVERSAL::require)
BuildArch:  noarch

%description
This class is a factory for text pipes. A pipe has a 'filter()' method
through which input can pass. The input can be a string or a reference to
an array of strings. Pipes can be stacked together using the
Text::Pipe::Stackable manpage.

The problem that this distribution tries to solve is that there are several
distributions on CPAN which use text filtering in some way or other, for
example the Template Toolkit. But each distribution is somewhat different,
and they have to reimplement the same text filters over and over again.

This distribution aims at offering a common text filter API. So if you want
to use text pipes with Template Toolkit, you just need to write an adapter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo "no
manual" | %{__perl} Makefile.PL --skipdeps INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.100.0-13.mga9
+ Revision: 1810505
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.100.0-12.mga8
+ Revision: 1506729
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.100.0-11.mga7
+ Revision: 1286977
- Mageia 7 Mass Rebuild

* Mon Sep 25 2017 tv <tv> 0.100.0-10.mga7
+ Revision: 1159422
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-9.mga6
+ Revision: 1035063
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.100.0-8.mga6
+ Revision: 930215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-7.mga5
+ Revision: 745767
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-6.mga5
+ Revision: 686643
- Mageia 5 Mass Rebuild

* Thu Jan 02 2014 pterjan <pterjan> 0.100.0-5.mga4
+ Revision: 563922
- Ugly workaround to get cpan configured without installing stuff. Not needed outside iurt but I failed to understand the problem.
- Disable Module::AutoInstall and bump BuildRequires

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-4.mga4
+ Revision: 515586
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-3.mga3
+ Revision: 374133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 326936
- adding missing buildrequires:

* Sun Jan 09 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 4698
- imported package perl-Text-Pipe

